# class RSS::Maker::ITunesChannelModel::ITunesOwnerBase

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/itunes.rb, line 137
    def to_feed(feed, current)
      if current.respond_to?(:itunes_owner=)
        _not_set_required_variables = not_set_required_variables
        if (required_variable_names - _not_set_required_variables).empty?
          return
        end

        unless have_required_values?
          raise NotSetError.new("maker.channel.itunes_owner",
                                _not_set_required_variables)
        end
        current.itunes_owner ||= current.class::ITunesOwner.new
        current.itunes_owner.itunes_name = @itunes_name
        current.itunes_owner.itunes_email = @itunes_email
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/itunes.rb, line 155
    def required_variable_names
      %w(itunes_name itunes_email)
    end